using System;
using System.Collections.Generic;

namespace OmicronMountMusicFixer;

public struct Song
{
	public int Id;

	public Dictionary<string, SongStrings> Strings;

	public bool DisableRestart;

	public byte SpecialMode;

	public string FilePath;

	public bool FileExists;

	public TimeSpan Duration;

	public string Name => Strings.GetValueOrDefault(Util.Lang(), Strings["en"]).Name;

	public string AlternateName => Strings.GetValueOrDefault(Util.Lang(), Strings["en"]).AlternateName;

	public string SpecialModeName => Strings.GetValueOrDefault(Util.Lang(), Strings["en"]).SpecialModeName;

	public string Locations => Strings.GetValueOrDefault(Util.Lang(), Strings["en"]).Locations;

	public string AdditionalInfo => Strings.GetValueOrDefault(Util.Lang(), Strings["en"]).AdditionalInfo;

	public Song(Dictionary<string, SongStrings> strings)
	{
		Id = 0;
		DisableRestart = false;
		SpecialMode = 0;
		FilePath = null;
		FileExists = false;
		Duration = default(TimeSpan);
		Strings = strings;
	}

	public Song()
	{
		Id = 0;
		DisableRestart = false;
		SpecialMode = 0;
		FilePath = null;
		FileExists = false;
		Duration = default(TimeSpan);
		Strings = new Dictionary<string, SongStrings>();
	}
}
